org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.Peek

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.Peek
    extends Stage

A stage returning a stream containing all the elements from this stream, additionally performing the provided action on each element.

The given consumer function must be invoked on each element consumed.

Any `RuntimeException` thrown by the function must be propagated downstream as an error, and upstream must be cancelled. Any subsequent elements received from upstream before the cancellation signal is handled must be dropped.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`Consumer<?>` `getConsumer()` The consumer function.

### Method Detail

#### getConsumer

    Consumer<?> getConsumer()

The consumer function.

Returns:
  The consumer function.